Skip to main content
`Ctrl`+`K`

# ReduceExtreme

MIOpen: ReduceExtreme
Enumerations | Functions
ReduceExtreme

## Enumerations

enum | miopenReduceExtremeOp_t { MIOPEN_REDUCE_EXTREME_ARGMIN , MIOPEN_REDUCE_EXTREME_ARGMAX , MIOPEN_REDUCE_EXTREME_MIN , MIOPEN_REDUCE_EXTREME_MAX }

## Functions

miopenStatus_t | miopenReduceExtremeForward (miopenHandle_t handle, const miopenTensorDescriptor_t xDesc, const void *x, const int32_t dim, const miopenReduceExtremeOp_t reduceExtremeOp, const miopenTensorDescriptor_t yDesc, void *y, const miopenTensorDescriptor_t indiceDesc, void *indice)
| Find the the extreme (minimum, maximum) value and index of a tensor across Dimension.

## Detailed Description

## Enumeration Type Documentation

## ◆ miopenReduceExtremeOp_t

enum miopenReduceExtremeOp_t

Reduction Extreme operation types

Enumerator
MIOPEN_REDUCE_EXTREME_ARGMIN | the operation is getting the minimum index of the reduced elements
MIOPEN_REDUCE_EXTREME_ARGMAX | the operation is getting the maximum index of the reduced elements
MIOPEN_REDUCE_EXTREME_MIN | the operation is getting the minimum value and index of the reduced elements
MIOPEN_REDUCE_EXTREME_MAX | the operation is getting the maximum value and index of the reduced elements

## Function Documentation

## ◆ miopenReduceExtremeForward()

miopenStatus_t miopenReduceExtremeForward | ( | miopenHandle_t | handle,
|  | const miopenTensorDescriptor_t | xDesc,
|  | const void * | x,
|  | const int32_t | dim,
|  | const miopenReduceExtremeOp_t | reduceExtremeOp,
|  | const miopenTensorDescriptor_t | yDesc,
|  | void * | y,
|  | const miopenTensorDescriptor_t | indiceDesc,
|  | void * | indice )

Find the the extreme (minimum, maximum) value and index of a tensor across Dimension.

Parameters

  handle | MIOpen handle (input)
  xDesc | Tensor descriptor for data input tensor x (input)
  x | Data tensor x (input)
  dim | Dimension to reduce argmax. (input)
  reduceExtremeOp | Enumerant specifying the operation used by ReduceExtreme (input)
  yDesc | Tensor descriptor for reduce data tensor y (input)
  y | Data tensor y (output)
  indiceDesc | Tensor descriptor for reduce data tensor indice only int32_t (input)
  indice | Data tensor indice (output)

Returns
  miopenStatus_t